/*
  This file is part of Subsonic.
  
  Subsonic is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  
  Subsonic is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Subsonic.  If not, see <http://www.gnu.org/licenses/>.
  
  Copyright 2009 (C) Sindre Mehus
  */

package net.sourceforge.subsonic.androidapp.util;

public final class Exceptions {
    public static class PrerequisiteNotSatisfied extends Exception {
        // CHANGE THIS if you change any structure in this class.
        private static final long serialVersionUID = 0x6fac7bbf;

        public PrerequisiteNotSatisfied(String requisite) {
            super(requisite + " not satisfied");
        }
    }

    public static class NoCredentialsAvailable extends PrerequisiteNotSatisfied {
        // CHANGE THIS if you change any structure in this class.
        private static final long serialVersionUID = 0x6fac7bbf;

        public NoCredentialsAvailable() {
            super("credentials");
        }
    }
}
